Subject: [bug#55231] [PATCH v1] initrd: Allow extra search paths with âinitrd-extra-module-pathsâ

From: Morgan Arnold <[email-masked]>
Date: Wed, 04 Jun 2025 12:15:32 +0000

Hi Brian,

> it's been some months since the last update, and seemingly no progress
> has been made by maxim.

I've primarily been the one working on this, so the onus for the lack of progress is on me, not on Maxim. I'm currently working on resolving issue 41602 (see pull request #127 on the new Codeberg repo: https://codeberg.org/guix/guix/pulls/127). My hope is that it will be merged soon, and then a version of this which ensures that initrds which take ZFS as an input are marked non-substitutable should be totally acceptable for inclusion.

> to call the delay on this excessive is an extreme understatement.

Any delay is my fault entirely. I just haven't found the time to work on it. I've been aware for months that resolving 41602 was necessary for this issue to be resolved, and haven't found the time to solve 41602. I'm working on it now, and my hope is that pull request #127 will be merged soon and I can get a version of these patches written up and merged.

> can we please merge this, and if maxim ever figures out the
> substitutable flag it can be handled separately,

I'm as eager as anyone for these changes to be merged, but I understand the desire to ensure that the changes that we make respect copyright rigorously, and I'm doing my best to ensure that we can have these changes while still carefully respecting the licensing issues surrounding ZFS.

Best,

Morgan